Skip to content

Warnings⁠

Perform various operations for Symitar parameters.

Operations⁠

getWarningsSelectFields⁠

POST

Execute the persistent ParameterService getWarningsSelectFields operation.

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

WarningsWarningNumberintegeroptional
Path Parameters
symstringrequired
Sym number
MessageIdstringoptional
POST/nexum/{sym}/persistent/parameter/getWarningsSelectFields
POST /nexum/627/persistent/parameter/getWarningsSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "WarningsWarningNumber": 0,
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "DeviceInformation": {
    "DeviceType": "string",
    "DeviceNumber": 0
  },
  "SelectableFields": {
    "IncludeAllWarningsFields": true,
    "WarningsFields": {
      "DisplayWarninginAcctMgr": true,
      "DisplayWarninginTlrTrn": true,
      "WarnDescription": true,
      "WarnFmPriv": true,
      "WarnIqPriv": true,
      "WarnTrPriv": true,
      "WarningNumber": true
    }
  },
  "nxAttributes": {
    "customFields": {}
  }
}

getWarningsPagedListSelectFields⁠

POST

Execute the persistent ParameterService getWarningsPagedListSelectFields operation.

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

Path Parameters
symstringrequired
Sym number
Tokenstringoptional
MessageIdstringoptional
POST/nexum/{sym}/persistent/parameter/getWarningsPagedListSelectFields
POST /nexum/627/persistent/parameter/getWarningsPagedListSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "DeviceInformation": {
    "DeviceType": "string",
    "DeviceNumber": 0
  },
  "PagingRequestContext": {
    "NumberOfRecordsToReturn": 0,
    "NumberOfRecordsToSkip": 0,
    "Token": "string"
  },
  "SelectableFields": {
    "IncludeAllWarningsFields": true,
    "WarningsFields": {
      "DisplayWarninginAcctMgr": true,
      "DisplayWarninginTlrTrn": true,
      "WarnDescription": true,
      "WarnFmPriv": true,
      "WarnIqPriv": true,
      "WarnTrPriv": true,
      "WarningNumber": true
    }
  },
  "nxAttributes": {
    "customFields": {}
  }
}

searchWarningsPagedSelectFields⁠

POST

Execute the persistent ParameterService searchWarningsPagedSelectFields operation.

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

Path Parameters
symstringrequired
Sym number
Tokenstringoptional
MessageIdstringoptional
POST/nexum/{sym}/persistent/parameter/searchWarningsPagedSelectFields
POST /nexum/627/persistent/parameter/searchWarningsPagedSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "DeviceInformation": {
    "DeviceType": "string",
    "DeviceNumber": 0
  },
  "PagingRequestContext": {
    "NumberOfRecordsToReturn": 0,
    "NumberOfRecordsToSkip": 0,
    "Token": "string"
  },
  "SelectableFields": {
    "IncludeAllWarningsFields": true,
    "WarningsFields": {
      "DisplayWarninginAcctMgr": true,
      "DisplayWarninginTlrTrn": true,
      "WarnDescription": true,
      "WarnFmPriv": true,
      "WarnIqPriv": true,
      "WarnTrPriv": true,
      "WarningNumber": true
    }
  },
  "SearchFilter": {
    "Query": "string"
  },
  "nxAttributes": {
    "customFields": {}
  }
}

updateWarningsByID⁠

POST

Execute the persistent ParameterService updateWarningsByID operation.

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

WarningsWarningNumberintegeroptional
Path Parameters
symstringrequired
Sym number
MessageIdstringoptional
POST/nexum/{sym}/persistent/parameter/updateWarningsByID
POST /nexum/627/persistent/parameter/updateWarningsByID HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "WarningsWarningNumber": 0,
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "DeviceInformation": {
    "DeviceType": "string",
    "DeviceNumber": 0
  },
  "WarningsFields": {
    "DisplayWarninginAcctMgr": true,
    "DisplayWarninginTlrTrn": true,
    "WarnDescription": "string",
    "WarnFmPriv": 0,
    "WarnIqPriv": 0,
    "WarnTrPriv": 0,
    "WarningNumber": 0
  },
  "nxAttributes": {
    "customFields": {}
  }
}